subroutine GRAPHS_COMBINE2_style(string %enddate)

%VAR = "d_gdp" 

%KIND = "t g"


	FOR %V {%VAR} 
		%aaa = {%V}.@displayname
		fig2_{%V}_t.addtext(t,font("Times New Roman",22))  "Tax plans with sample 1978q1"%enddate
		fig2_{%V}_g.addtext(t,font("Times New Roman",22))  "Spending plans with sample 1978q1"%enddate 

		FOR %K {%KIND}
			!min_{%K} =@min(M_IRF_{%V}_{%K})
			!max_{%K} =@max(M_IRF_{%V}_{%K})
		NEXT
		IF !min_t > !min_g THEN
			!min = !min_g
			ELSE !min = !min_t
		ENDIF
		IF !max_t > !max_g THEN
			!max = !max_t
			ELSE !max = !max_g
		ENDIF

		%type="FIG_"+%V+"_plans"    '    _1
		delete {%type}* 
		graph {%type}.merge  fig2_{%V}_t fig2_{%V}_g 
		{%type}.align(2,1,1)     
		'{%type}.addtext(t,font(20,b)) "CI 68%"  
		{%type}.options backfade(none) backcolor(white) frameaxes(lb) gridpat(dash2)
		{%type}.axis(left) ticksin -minor font(15) 
		{%type}.axis(bottom) ticksin -minor font(15)  
		{%type}.axis(l) range(!min,!max)
		%aaa = {%V}.@displayname
		{%type}.addtext(t,font("Times New Roman",22,b)) "Estimated Impact of TB and GB plans on" %aaa "in MA model"  
	NEXT

	'%type_all="FIG_all_"+%A
	'graph {%type_all}.merge  FIG_all_d_exp_{%A} FIG_all_d_tax_{%A} FIG_all_gdp_{%A} FIG_all_debt_{%A}	FIG_all_tb3ms1_{%A} FIG_all_spread1_{%A} FIG_all_spread1_{%A}
	'{%type_all}.align(4,1,1.2)


delete fig2*

endsub
