'*********************************************************************************************
' 	GRAPH OF THE IMPULSE RESPONSE FUNCTIONS 	   *
'*********************************************************************************************
'wfselect Input\IMF_q_as_RR_use_as_un

subroutine GRAPHS_style(string %enddate)

coef(1000) C2
!horz = 6 ' anticipation horizon 
!horz_irf = 12 'irf horizon
!reps = 1000

'set variables
'endogeneous variables
%VAR = "d_gdp" 

%startdate = "1978q1"   ' 1978q1    "1985q1"    1986q3
'%enddate =  "2012q4" 
%KIND = "t g"
'%ANTI = "u a"  ' u a

smpl %enddate+1 %enddate+!horz_irf+!horz
%FIG = "FIG2"
 FOR %V {%VAR} 
	'FOR %A {%ANTI}
		FOR %K {%KIND}
			DELETE {%FIG}_{%V}_{%K}* 
			freeze({%FIG}_{%V}_{%K}) M_IRF_{%V}_{%K}.line
			{%FIG}_{%V}_{%K}.option linepat 
			{%FIG}_{%V}_{%K}.elem(1) lcolor(BLUE) lpat(dash7) lwidth(0.25)
			{%FIG}_{%V}_{%K}.elem(3) lcolor(BLUE) lpat(dash7) lwidth(0.25)
			{%FIG}_{%V}_{%K}.elem(2) lcolor(BLUE) lpat(solid) lwidth(2) SYM(CIRCLE) symbolsize(4xl)
			{%FIG}_{%V}_{%K}.axis(l) grid zeroline label 'RANGE(-0.25, 0.25) 
			{%FIG}_{%V}_{%K}.addtext(l,font("Times New Roman",14)) percent		' for uncertainty mvol or epu need to write BP (basis points)
			{%FIG}_{%V}_{%K}.addtext(b,font("Times New Roman",14)) quarter
			{%FIG}_{%V}_{%K}.legend(OFF,INBOX,B)
			{%FIG}_{%V}_{%K}.options backfade(none) backcolor(white)	frameaxes(lb) gridpat(dash2)		
			{%FIG}_{%V}_{%K}.SETOBSLABEL(BLANK) "0" "1" "2" "3" "4" "5" "6" "7" "8" "9" "10" "11" "12"
			{%FIG}_{%V}_{%K}.options backfade(none) backcolor(white)
			{%FIG}_{%V}_{%K}.AXIS OVERLAP	
		NEXT
	'NEXT
NEXT

endsub
